GreenHopper 5.8.7 Upgrade Notes

Upgrading from GreenHopper 5.8.x to 5.8.6

Please follow the upgrade instructions in the JIRA Agile Installation and Upgrade Guide, plus note the following:

Compatible with JIRA 4.4.4 only

GreenHopper 5.8.7 is only compatible with JIRA 4.4.4.

Upgrading from GreenHopper 5.7.x or earlier

In addition to the above, please read the GreenHopper 5.8 Upgrade Notes and the Upgrade Notes for every version you are skipping during the upgrade. The complete list of Upgrade Guides is available here.

Specific permissions required for JIRA 4.4 installations connected to Oracle databases

GreenHopper 5.8 makes use of JIRA's ActiveObjects plugin, which has specific requirements when interacting with Oracle databases.

Hence, when GreenHopper 5.8 (or later) is used with a JIRA 4.4 (or later) installation connected to an Oracle database, the database user account (through which JIRA connects to Oracle) must have the create sequence and create trigger Oracle database permissions.

Please ensure these permissions have been granted before attempting to upgrade GreenHopper from 5.7 to 5.8. See the Configure Oracle in the Connecting JIRA to Oracle documentation for details on granting these permissions.

Re-index and re-start required

Please re-index and re-start JIRA after ugrading to GreenHopper 5.8.7 from GreenHopper 5.7.x or earlier.

Was this helpful?

Thanks for your feedback!

Why was this unhelpful?

Have a question about this article?

See questions about this article

Powered by Confluence and Scroll Viewport